%global srcname rustcfg
%{?python_enable_dependency_generator}

Name:           python-rustcfg
Version:        0.0.2
Release:        %mkrel 1
Summary:        Rust cfg expression parser in python
%if 0%{?mageia}
Group:          Development/Python
%endif
License:        MIT
URL:            https://pagure.io/fedora-rust/python-rustcfg
Source:         https://pypi.io/packages/source/r/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         0001-Replace-f-strings-by-format-for-Python-3.5-compatibi.patch

BuildArch:      noarch

%global _description \
%{summary}.

%description %_description

%package     -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pyparsing
BuildRequires:  python3-pytest

%description -n python3-%{srcname} %{_description}

%package     -n python3-%{srcname}-tests
Summary:        Tests for python3-%{srcname}
%{?python_provide:%python_provide python3-%{srcname}-tests}
Requires:       python3-%{srcname} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       python3-pytest

%description -n python3-rustcfg-tests
%{summary}.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
py.test-%{python3_version} -v

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/rustcfg-*.egg-info/
%{python3_sitelib}/rustcfg/
%exclude %{python3_sitelib}/rustcfg/test

%files -n python3-%{srcname}-tests
%{python3_sitelib}/%{srcname}/test/


%changelog
* Tue Sep 11 2018 akien <akien> 0.0.2-1.mga6
  (not released yet)
+ Revision: 1258319
- Add patch for Python 3.5 compat
- Backport python-rustcfg to mga6, needed for rust-packaging

* Tue Sep 11 2018 akien <akien> 0.0.2-1.mga7
+ Revision: 1258313
- Adapt for Mageia
- import python-rustcfg from Fedora 30

